Bug 116617 - (NET TG3) "ethtool ethX" dies with SEGV on IBM Bladecenter HS20 blades
(NET TG3) "ethtool ethX" dies with SEGV on IBM Bladecenter HS20 blades
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: ethtool (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Depends On:
  Show dependency treegraph
Reported: 2004-02-23 15:24 EST by John Caruso
Modified: 2013-07-02 22:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 09:20:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Caruso 2004-02-23 15:24:49 EST
ethtool dies with a segmentation fault when run without any 
parameters against a gigabit interface on an IBM HS20 blade (but 
other forms of the command work):

# ethtool eth0
Settings for eth0:
        Supported ports: [ FIBRE ]
        Supported link modes:   1000baseT/Half 1000baseT/Full
        Supports auto-negotiation: Yes
        Advertised link modes:  1000baseT/Half 1000baseT/Full
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        Supports Wake-on: g
        Wake-on: d
        Current message level: 0x000000ff (255)
        Link detected: yes
Segmentation fault

# ethtool -i eth0
driver: tg3
version: 1.2e4
bus-info: 01:01.0

# ethtool -s etho speed 1000 duplex full autoneg off

Also, in the last example, note that ethtool is able to set the 
speed/duplex of the interface with no problems (despite other bug 
reports I see about problems doing so with the tg3 driver).  It's 
only the "ethtool ethX" format that seems not to be working on the 
HS20 blades; on all the gigabit interfaces on all the HS20 blades on 
which I've tried it, it acts exactly as it did above, printing out 
all the relevant information and then hitting a segmentation fault.

A side note: redirecting the output of "ethtool eth0" into a file 
results in the same segmentation violation, but the output file is 
empty.  E.g.:

# ethtool eth1 > ethout
Segmentation fault
# cat ethout
Comment 1 John Caruso 2004-02-23 15:26:25 EST
Sorry, typo in the "ethtool -s etho speed 1000 duplex full autoneg off
" command (it should have said eth0, not etho).  In any case, it 
works without a problem.
Comment 2 Suzanne Hillman 2004-02-24 16:33:11 EST
So... this is not actually a bug, then? If I'm interpreting your
comment incorrectly, please reopen.
Comment 3 John Caruso 2004-02-24 16:35:59 EST
The intention of my second note was solely to correct a typo.  When I 
said "it works without a problem", I meant that the command "ethtool -
s eth0 speed 1000 duplex full autoneg off" works without a problem 
(whereas obviously putting etho instead of eth0 wouldn't have).  Yes, 
it is most definitely a live bug, reproducible every single time.
Comment 4 John Caruso 2004-02-24 16:38:02 EST
And to preempt any further confusion: when I said "it is most 
definitely a live bug" in the above note, I meant that the original 
bug report still obtains: that if you do "ethtool ethX" for any 
interface on an IBM HS20 blade, it will print the information and 
then die with a segmentation fault.
Comment 5 John Caruso 2004-03-15 14:57:20 EST
Is there any progress on this bug?  Do you need any more info from 
me?  It's certainly easy to reproduce.
Comment 6 John Caruso 2004-03-24 15:00:22 EST
I'm starting to think that this bug report was "tainted" by being 
prematurely closed, and so I should just close it and open a new one 
(since this one seems to have been orphaned).  If not, let me know.
Comment 7 Jeff Garzik 2004-06-14 13:34:23 EDT
It should indeed be closed, as it should be fixed in the latest
update.  If it is not, please do open a new bug.
Comment 8 John Caruso 2004-06-14 13:49:47 EDT
It should not have been closed on 2/24/2004, regardless of what's 
been done about it since.

If it's actually fixed now, please clarify which level of the ethtool 
RPM fixes the problem.  Thanks.
Comment 9 Jiri Pallich 2012-06-20 09:20:18 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.